Subject: RE: linux-next: build failure after merge of the net-next tree

From: "Ismail, Mohammad Athari" <[email-masked]>
Date: Thu, 24 Jun 2021 02:22:57 +0000

> -----Original Message-----
> From: Marcin Wojtas <[email-masked]>
> Sent: Thursday, June 24, 2021 6:47 AM
> To: Stephen Rothwell <[email-masked]>
> Cc: David Miller <[email-masked]>; Networking
> <[email-masked]>; Linux Kernel Mailing List <linux-
> [email-masked]>; Linux Next Mailing List <linux-
> [email-masked]>
> Subject: Re: linux-next: build failure after merge of the net-next tree
> 
> Hi Stephen,
> 
> czw., 24 cze 2021 o 00:29 Stephen Rothwell <[email-masked]>
> napisał(a):
> >
> > Hi all,
> >
> > Today's linux-next build (x86_64 modules_install) failed like this:
> >
> > depmod: ../tools/depmod.c:1792: depmod_report_cycles_from_root:
> Assertion `is < stack_size' failed.
> >
> > Caused by commit
> >
> > 62a6ef6a996f ("net: mdiobus: Introduce fwnode_mdbiobus_register()")
> >
> > (I bisected to there and tested the commit before.)
> >
> > The actual build is an x86_64 allmodconfig, followed by a
> > modules_install.  This happens in my cross build environment as well
> > as a native build.
> >
> > $ gcc --version
> > gcc (Debian 10.2.1-6) 10.2.1 20210110
> > $ ld --version
> > GNU ld (GNU Binutils for Debian) 2.35.2 $ /sbin/depmod --version kmod
> > version 28 -ZSTD +XZ -ZLIB +LIBCRYPTO -EXPERIMENTAL
> >
> > I have no idea why that commit should caused this failure.
> 
> Thank you for letting us know. Not sure if related, but I just found out that
> this code won't compile for the !CONFIG_FWNODE_MDIO. Below one-liner
> fixes it:
> 
> --- a/include/linux/fwnode_mdio.h
> +++ b/include/linux/fwnode_mdio.h
> @@ -40,7 +40,7 @@ static inline int fwnode_mdiobus_register(struct
> mii_bus *bus,
>          * This way, we don't have to keep compat bits around in drivers.
>          */
> 
> -       return mdiobus_register(mdio);
> +       return mdiobus_register(bus);
>  }
>  #endif
> 
> I'm curious if this is the case. Tomorrow I'll resubmit with above, so I'd
> appreciate recheck.

Hi Marcin,

At my side, I got this error. I applied the suggested change, still the issue persist.

depmod: ERROR: Cycle detected: acpi_mdio -> fwnode_mdio -> acpi_mdio
depmod: ERROR: Found 2 modules in dependency cycles!
Makefile:1773: recipe for target 'modules_install' failed
make: *** [modules_install] Error 1

Regards,
Athari

> Thanks,
> Marcin